%global commit0 a5555c173d70d292e43c13a6d951fa06ddb413fe
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date0 20200622
%global srcurl  https://github.com/ptitSeb/%{name}

%global _gl_libdir %{_libdir}/%{name}

%{?_with_rpi:
%global _default_es -DDEFAULT_ES=2
%global _without_gbm 1
}


Name:           gl4es
Version:        1.1.4
Release:        1%{?dist}
Summary:        OpenGL to GL ES translation library

License:        MIT
URL:            http://ptitseb.github.io/gl4es/
Source0:        %{srcurl}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

ExclusiveArch:  %{arm}

BuildRequires:  cmake gcc
BuildRequires:  Xvfb
# rhbz#904851, won't get GLX w/o mesa-dri-drivers
BuildRequires:  mesa-dri-drivers
BuildRequires:  apitrace
BuildRequires:  ImageMagick
BuildRequires:  libX11-devel
BuildRequires:  libdrm-devel
BuildRequires:  mesa-libgbm-devel
BuildRequires:  mesa-libEGL-devel

%{?_with_rpi:
BuildRequires:  raspberrypi-vc-devel
BuildRequires:  raspberrypi-vc-static
Requires:       raspberrypi-vc-libs
Requires:       raspberrypi-vc-utils
}


%description
This is a library provide OpenGL 2.x functionality for GLES2.0 accelerated
Hardware (and of course also support OpenGL 1.5 function, sometimes better then
when using GLES 1.1 backend) There is also support for GLES 1.1 Hardware,
emulating OpenGL 1.5, and some OpenGL 2.x+ extensions.


%package devel
Summary:        Development files for GL4ES
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%summary.


%prep
%autosetup -p1 -n %{name}-%{commit0}
rm -v COMPILE.md
# W: spurious-executable-perm
chmod -x *.md
find . -name "*.c" -o -name "*.h" -type f -exec chmod -x {} ';'


%build
%cmake \
%{?_with_rpi: -DBCMHOST=1 } \
%{?_default_es} \
 -DUSE_CLOCK=ON \
 %{?!_without_gbm:-DGBM=ON} \
 -DCMAKE_SKIP_BUILD_RPATH=TRUE

%cmake_build


%install
mkdir -p %{buildroot}%{_gl_libdir}
install -p lib/libGL.so* %{buildroot}%{_gl_libdir}
ln -s libGL.so.1 %{buildroot}%{_gl_libdir}/libGL.so
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -pr include/* %{buildroot}%{_includedir}/%{name}


%check
pushd tests
export LIBGL_DEBUG=verbose
# FIXME neverball gives error and exits
find . -name \*.sh -print -exec\
 xvfb-run -s "-screen 0 640x480x24" '{}' \;


%files
%license LICENSE
%doc *.md
%{_gl_libdir}/libGL.so.1

%files devel
%license LICENSE
%{_gl_libdir}/libGL.so
%{_includedir}/%{name}/


%changelog
* Tue Dec 20 2022 Nicolas Chauvet <kwizart@gmail.com> - 1.1.4-1
- Update to 1.1.4

* Tue Dec 20 2022 Nicolas Chauvet <kwizart@gmail.com> - 1.1.14-1
- Update to 1.1.14

* Sun Nov 01 2020 Nicolas Chauvet <kwizart@gmail.com> - 1.1.2-7.20201101git9b5f764
- Update snapshot
- Enable X11 and GBM

* Wed Oct 07 2020 Nicolas Chauvet <kwizart@gmail.com> - 1.1.2-4.20201007git3259c93
- Update snapshot

* Tue Oct 06 2020 Nicolas Chauvet <kwizart@gmail.com> - 1.1.2-3.20200106git2f61f71
- Add rpi support

* Thu Jul 23 2020 Raphael Groner <projects.rg@smart.ms> - 1.1.2-2.20200106git2f61f71
- prepare for review

* Mon Jan 06 2020 Raphael Groner <projects.rg@smart.ms> - 1.1.2-1.20200106git2f61f71
- initial
